Subject: bug#73262: closed (Re: [PATCH] gnu: openblas: Add debug output.)

From: [email-masked] (GNU bug Tracking System)
Date: Wed, 02 Apr 2025 08:38:02 +0000

Your bug report

#73262: [PATCH] gnu: openblas: Add debug output.

which was filed against the guix-patches package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
73262: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=73262
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: [PATCH] gnu: openblas: Add debug output.
From: Ricardo Wurmus <[email-masked]>
To: Andreas Enge <[email-masked]>
Cc: [email-masked], [email-masked], [email-masked], Artyom Bologov <[email-masked]>
Date: Wed, 02 Apr 2025 10:36:57 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Andreas Enge <[email-masked]> writes:

> Am Tue, Apr 01, 2025 at 08:15:29PM +0200 schrieb Ricardo Wurmus:
>> Yes, on the r-team branch we're updating the default openblas, 
>> so all
>> dependents of openblas are rebuilt anyway.
>
> Excellent, thanks!
>
> I can confirm that the package builds on x86_64; I did not test 
> the
> patch anywhere else.

I've applied it on top of the rebased r-team branch with commit 
f05ee6c81556f86c477e84404c7b276f09a24568.
(The commit id will change several more times as the r-team branch 
waits in the queue.)

-- 
Ricardo

Subject: [PATCH] gnu: openblas: Add debug output.
From: Artyom Bologov <[email-masked]>
To: Guix Patches <[email-masked]>
Date: Sun, 15 Sep 2024 06:48:38 +0400
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi y'all,

This patch adds a debug output to OpenBLAS and adjusts build flags
accordingly. The final non-debug build is likely unaffected by DEBUG=1,
because Guix strips the debug symbols out anyway. Note that this change
likely requires checking the CI for the package, like with bug #73058.

>From 1cd8da82659bf9d369201135c86717d2ea40d7ca Mon Sep 17 00:00:00 2001
From: Artyom Bologov <[email-masked]>
Date: Sun, 15 Sep 2024 06:42:29 +0400
Subject: [PATCH] gnu: openblas: Add debug output.

* gnu/packages/maths.scm (openblas): Add "debug" output
[outputs]: Add argument, add "debug" output
[arguments]<#:make-flags>: Add DEBUG=1 flag
---
 gnu/packages/maths.scm | 2 ++
 1 file changed, 2 insertions(+)

diff --git a/gnu/packages/maths.scm b/gnu/packages/maths.scm
index a0cc0788ca..2d5b239548 100644
--- a/gnu/packages/maths.scm
+++ b/gnu/packages/maths.scm
@@ -5173,6 +5173,7 @@ (define-public openblas
       #:make-flags
       #~(list (string-append "PREFIX=" #$output)
               "SHELL=bash"
+              "DEBUG=1"                 ; enable debug symbols
               "MAKE_NB_JOBS=0"          ;use jobserver for submakes
               "NO_STATIC=1"             ;avoid a 67 MiB static archive
 
@@ -5225,6 +5226,7 @@ (define-public openblas
      (list `(,gfortran "lib")))
     (native-inputs
      (list cunit gfortran perl))
+    (outputs '("out" "debug"))
     (home-page "https://www.openblas.net/")
     (synopsis "Optimized BLAS library based on GotoBLAS")
     (description
-- 
2.41.0

Thanks,
-- 
Artyom Bologov
https://aartaka.me